.rd_checkbox,
input.rd-checkbox {
    cursor: pointer;
    position: relative;
    display: inline-block;
    width: 18px !important;
    height: 18px;
    border-radius: var(--rd-borderradius-border-sm);
    background-color: var(--rd-list-default-light);
    border: 2px solid var(--cl-light-grey);
    margin: 0 var(--rd-spacing-x-sm);
}

.rd-checkboxes-listitem-group {
    display: flex;
}

input.rd-checkbox {
    -webkit-appearance: none;
    appearance: none;
    display: inline-block;
    position: relative;
    opacity: 1;
}



input.rd-checkbox:checked:after,
input.rd-checkbox:checked:indeterminate,
input:checked+.rd_checkbox:after,
input:indeterminate+.rd_checkbox:after,
input:indeterminate.rd-checkbox:after,
input:checked+.rd_selected_instr_element .rd_checkbox:after {
    content: "";
    background: var(--rd-success-default);
    display: inline-block;
    left: -2px;
    right: -2px;
    bottom: -2px;
    top: -2px;
    position: absolute;
    z-index: 0;
    border-radius: var(--rd-borderradius-border-sm);
}

input.rd-checkbox:before,
.rd_checkbox:before {
    content: "";
    z-index: 1;
    display: inline-block;
    position: absolute;
    left: 2px;
    top: 2px;
    right: 2px;
    bottom: 2px;
    background-color: var(--rd-list-default-light);
    mask-size: contain;
    -webkit-mask-size: contain;
    mask-position: 50%;
    -webkit-mask-position: 50%;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    mask-image: url("	/src/img/2021/svg/rd_check.svg");
    -webkit-mask-image: url("/src/img/2021/svg/rd_check.svg");
    opacity: 0;
    transition: all 0.2s linear;
}

input.rd-checkbox:indeterminate:before,
input:indeterminate+.rd_checkbox:before {
    mask-image: url("/src/img/2021/svg/rd-minus.svg");
    -webkit-mask-image: url("/src/img/2021/svg/rd-minus.svg");
}

input.rd-checkbox:checked:before,
input.rd-checkbox:indeterminate:before,
input:checked+.rd_checkbox:before,
input:indeterminate+.rd_checkbox:before,
input:checked+.rd_selected_instr_element .rd_checkbox:before {
    opacity: 1;
}

/* .rd-radio-btn + label, */
.rd-checkbox+label {
    font-size: var(--rd-fontsize-4);
    color: #657587;
    font-weight: normal;
    margin-bottom: 0 !important;
    align-self: center;
    margin-left: 8px;
}

.rd-checkboxes-listitem-group .rd_checkbox {
    align-self: center;
}

.rd-input-list .rd-checkbox-list {
    display: flex;
    gap: var(--rd-spacing-md);
    color: var(--BW-Black, #0D1130);
    font-size: 16px;
    font-style: normal;
    line-height: 120%;
    /* 19.2px */
    letter-spacing: 0.16px;
    padding: 0;
    margin: 0;
}

.rd-input-list .rd-checkbox-list input {
    margin: 0;
}

.rd-radio-btn {
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--rd-font-light);
    margin: 0;
    width: 24px;
    height: 24px;
    border: 1.5px solid var(--cl-light-grey);
    border-radius: 50%;
    display: grid;
    place-content: center;
    cursor: pointer;
    align-self: center;
}

.rd-radio-btn::before {
    content: "";
    width: 12px;
    height: 12px;
    border-radius: 50%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    /* Windows High Contrast Mode */
    background-color: var(--cl-deep-green);
    display: inline-block;
}

.rd-radio-btn:checked::before {
    transform: scale(1);
}

.rd-radios-listitem-group {
    display: flex;
    gap: var(--rd-spacing-sm);
    margin-bottom: var(--rd-spacing-sm);
}

.rd-radio-btn+.rd_checkbox {
    display: none;
}

.rd-radio-btn+label
/*neu*/
    {
    /*font-size: var(--rd-fontsize-5) !important; ?!*/
    font-size: var(--rd-fontsize-4) !important;
    font-weight: var(--rd-fontweights-open-sans-2) !important;
    line-height: 120%;
    letter-spacing: 0.16px;
    color: var(--rd-font-dark);
    margin-bottom: 0 !important;
    align-self: center;
}

.rd-theme-slider input:after {
    content: " ";
    position: absolute;
    width: 24px;
    height: 24px;
    left: 4px;
    background: var(--rd-font-light) !important;
    top: 3px !important;
    border-radius: 100% !important;
    border: var(--rd-borderwidth-border-default) solid var(--rd-font-light) !important;
    box-shadow: 0px 2px 4px rgb(0 0 0 / 8%), 0px 4px 24px rgb(0 0 0 / 8%);
}

.rd-theme-slider {
    height: 32px;
}

.rd-theme-slider input {
    display: inline-block;
    width: 56px !important;
    height: 32px;
    background: var(--rd-middle-gray-700);
    border-radius: var(--rd-borderradius-border-xl);
    position: relative;
    border: var(--rd-borderwidth-border-default) solid var(--rd-middle-gray-700);
    padding: 0;
    margin: 0;
}

.rd-theme-slider input:hover {
    border: var(--rd-borderwidth-border-default) solid var(--rd-middle-gray-700) !important;
}

.rd-theme-slider input:focus {
    outline: none;
   border: var(--rd-borderwidth-border-default) solid var(--rd-middle-gray-700) !important;
}

.rd-theme-slider input:checked:before,
.rd-theme-slider input:before {
    display: none;
}

.rd-theme-slider input:checked::after {
    left: unset;
    right: 4px;
}

.rd-theme-slider input:checked {
    background: var(--rd-success-default);
    border: var(--rd-borderwidth-border-default) solid var(--rd-success-default) !important;
}

.rd-theme-slider input:checked:disabled {
    opacity: 0.3;
}

.rd-theme-slider.disabled-checked input {
    background: var(--rd-input-hover);
    border-color: var(--rd-input-hover);
}

.rd-theme-slider.disabled-checked input:after {
    left: unset;
    right: 4px;
}

.rd-theme-slider.disabled-unchecked input {
    background: var(--rd-font-light);
    border-color: var(--rd-input-default);
}

.rd-theme-slider.disabled-unchecked input:after {
    border-color: var(--rd-input-default) !important;
}

.rd-theme-slider.disabled-unchecked input:checked:after {
    left: 4px;
    right: unset;
}

